# Retrieve Risk Controls source: https://developer.mastercard.com/mastercard-processing-fraud/documentation/sandbox-testing/retrieve-risk-controls/index.md ## Test case -- Success {#test-case--success} This test case describes retrieving specified risk controls stored in the CMS for a specified contract. For this test case, use the following information in the request: | Path parameter | Available value | |---------------------|--------------------------| | `risk_control_code` | COUNTRY_VELOCITY_CONTROL | | | ATM_FRENCH_USERS_RULE | **Sample request** `GET /contracts/70001/risk-controls?risk_controls_codes=COUNTRY_VELOCITY_CONTROL,ATM_FRENCH_USERS_RULE` **Sample response** `200` ```JSON { "riskControls": [ { "activityPeriodStartDate": "2022-10-28T12:30:21Z", "activityPeriodEndDate": "2022-10-28T12:30:21Z", "addInfo": "PSCR=Y0;CVR=204000044000", "currency": "EUR", "currencyNumericCode": "978", "currentUsage": { "availableAmount": 6694.6, "availableNumber": 18, "usedAmount": 1749.4, "usedNumber": 12 }, "maxAmount": 8444, "maxNumber": 30, "maxPercent": 10, "maxSingleAmount": 500, "riskControlCode": "COUNTRY_VELOCITY_CONTROL", "riskControlType": "Balance", "status": "Active" }, { "activityPeriodStartDate": "2022-10-28T12:30:21Z", "activityPeriodEndDate": "2022-10-28T12:30:21Z", "addInfo": "PSCR=Y0;CVR=204000044000", "currency": "EUR", "currencyNumericCode": "978", "currentUsage": { "availableAmount": 6694.6, "availableNumber": 18, "usedAmount": 1749.4, "usedNumber": 12 }, "maxAmount": 8444, "maxNumber": 30, "maxPercent": 10, "maxSingleAmount": 500, "riskControlCode": "ATM_FRENCH_USERS_RULE", "riskControlType": "Balance", "status": "Active" } ] } ``` ## Test case -- Success -- No Risk Control stored in CMS {#test-case--success--no-risk-control-stored-in-cms} This test case describes retrieving risk controls for a specified contract (account contract or card contract) with no risk controls in the CMS. For this test case, use the following information in the request: | Path parameter | Available value | |---------------------|------------------------------------------------------------------------------------------------------| | `risk_control_code` | An empty value or any other value than the following: COUNTRY_VELOCITY_CONTROL ATM_FRENCH_USERS_RULE | **Sample request** `GET /contracts/70001/risk-controls?risk_control_codes=` **Sample response** `200` ```JSON { "riskControls": [] } ```